#include <iostream>
#include <functional>

class MyClass {
public:
    void printSum(int a, int b) const {
        std::cout << "Sum: " << a + b << std::endl;
    }
};

int main() {
    MyClass obj;
    // Bind the member function with the object and the first argument fixed to 10
    auto boundFunc = std::bind(&MyClass::printSum, &obj, 10, std::placeholders::_1);

    boundFunc(5);  // Outputs: Sum: 15

    return 0;
}

