#include <iostream>
#include <functional>

void multiply(int a, int b) {
    std::cout << a * b << std::endl;
}

int main() {
    // Bind the first argument to 2
    std::function<void(int)> multiplyByTwo = std::bind(multiply, 2, std::placeholders::_1);

    multiplyByTwo(5);  // Outputs: 10

    return 0;
}

